List deliveries
curl --request GET \
--url https://app.usertick.com/api/public/v1/webhooks/{webhookId}/deliveries \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.usertick.com/api/public/v1/webhooks/{webhookId}/deliveries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.usertick.com/api/public/v1/webhooks/{webhookId}/deliveries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"messageId": "<string>",
"event": "<string>",
"attempt": 123,
"statusCode": 123,
"success": true,
"durationMs": 123,
"error": "<string>",
"responseId": "<string>",
"resendOfId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"canResend": true,
"createdAt": "2026-09-30T10:00:00.000Z"
}
],
"nextCursor": "<string>"
}Webhook subscriptions
List deliveries
A subscription’s delivery log (30 days), newest first.
Scopes: webhooks:read.
GET
/
webhooks
/
{webhookId}
/
deliveries
List deliveries
curl --request GET \
--url https://app.usertick.com/api/public/v1/webhooks/{webhookId}/deliveries \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.usertick.com/api/public/v1/webhooks/{webhookId}/deliveries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.usertick.com/api/public/v1/webhooks/{webhookId}/deliveries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"messageId": "<string>",
"event": "<string>",
"attempt": 123,
"statusCode": 123,
"success": true,
"durationMs": 123,
"error": "<string>",
"responseId": "<string>",
"resendOfId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"canResend": true,
"createdAt": "2026-09-30T10:00:00.000Z"
}
],
"nextCursor": "<string>"
}Authorizations
bearerAuthapiKeyHeader
An API key (utk_live_...) or an app's OAuth access token (uto_...).
Path Parameters
A subscription id.
Query Parameters
success or failed.
Available options:
success, failed Items per page, 1 to 100 (default 25). Out of range is 400 PUB-001-001.
Required range:
1 <= x <= 100The nextCursor of the previous page. Opaque: send it back as it came.